Bug 115417 - kernel-2.4.22-1.2166.nptl causes problems with tmpfs
kernel-2.4.22-1.2166.nptl causes problems with tmpfs
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-12 01:39 EST by Gary Peck
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 16:05:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gary Peck 2004-02-12 01:39:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040211 Firefox/0.8

Description of problem:
i've been running the 2166 kernel on my FC1 box since it entered
updates/testing with no problems at all. today, i upgraded the kernel
on a CD-based kiosk distro i'm using for some stuff. it's basically
FC1 with a handful of tweaked startup scripts. the kiosk was
previously using kernel-2.4.22-1.2149.nptl with no problems. since
upgrading to 2166, xwindows fails to start with a "Unable to map SYS
BIOS" message. i'm using the "vesa" driver under xwindows. i took a
quick look through the xfree86 source for that string and found that
it's output when an mmap call fails that's trying to use the memory
pointed to by SYS_BIOS.

the _only_ thing i changed between the two versions of the CD was the
kernel they were using. also, this CD and my FC1 box are both setup
the same way (same kernel, XFree86, modules, settings, etc.) and i'm
testing the CD by booting my FC1 box off of it.

therefore, i'm led to believe that the new kernel is the culprit.
furthermore, since most of my configuration is identical between the
CD and the normal FC1 install, the problem must be in the nature of
running off the CD. i'm mounting the CD as a read-only root
filesystem. then i create 4 tmpfs filesystems for /mnt/dev, /mnt/tmp,
/mnt/var, and /mnt/home. i copy the contents of /dev, /tmp, /var, and
/home from the CD to these filesystems, and then use "mount --bind" to
mount these tmpfs filesystems over the original read-only ones (e.g.
mount --bind /mnt/dev /dev). this makes the required parts of the
filesystem writable while keeping the rest read-only on the CD.

i noticed that the 2166 changelog mentioned many fixes to the tmpfs
filesystem code. could one of these fixes be involved? specifically,
when looking up the SYS BIOS error on google, i found some mention of
wrong permissions on /dev/mem, /dev/kmem, and /dev/port triggering
this error. so maybe one of the tmpfs fixes broke device file support?

sorry for the long-winded bug report. i hope that's enough info to
find the problem though.

Version-Release number of selected component (if applicable):
kernel-2.4.22-1.2166.nptl

How reproducible:
Always

Steps to Reproduce:
If the problem is tmpfs, then the following steps should work
1. mount -t tmpfs -o noexec,nosuid,mode=0755,size=2M none /mnt/dev
2. pushd /dev
3. tar -cf - --ignore-failed-read * | tar -C /mnt/dev -xpf - --same-owner
4. popd
5. mount --bind /mnt/dev /dev
6. X
    

Actual Results:  X crashes while trying to start up. looking in
/var/log/XFree86.0.log will show you the error message i mention earlier.


Expected Results:  X should start up


Additional info:
Comment 1 David Lawrence 2004-09-29 16:05:17 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.